summaryrefslogtreecommitdiff
path: root/totsc
diff options
context:
space:
mode:
authornick <myownlittlworld@hotmail.com>2009-05-02 23:38:54 -0500
committernick <myownlittlworld@hotmail.com>2009-05-02 23:38:54 -0500
commite2f6690cc2cf57df3788a20f5be2dfbdf5d660b8 (patch)
tree023c1f657bd8e76080a1aa232c5e3238fecd1a2c /totsc
parentd400ae382e09b091fb372ffc9163273ff40ddb1d (diff)
parent28083ccefa13e4137afb300544072e7e176c7de8 (diff)
downloadgemrb-gameinstallers-e2f6690cc2cf57df3788a20f5be2dfbdf5d660b8.tar.bz2
gemrb-gameinstallers-e2f6690cc2cf57df3788a20f5be2dfbdf5d660b8.zip
Merged with latest from upstream.
Diffstat (limited to 'totsc')
-rwxr-xr-xtotsc/auto-totsc-installer.sh43
-rwxr-xr-xtotsc/install-1cd-uk.sh19
-rwxr-xr-xtotsc/install-3cd-extra.sh36
-rwxr-xr-xtotsc/install-3cd-minimal.sh59
-rwxr-xr-xtotsc/install-patch-baldurdash-fix.sh17
-rwxr-xr-xtotsc/install-patch-baldurdash-text.sh19
-rwxr-xr-xtotsc/install-patch-intl.sh21
-rwxr-xr-xtotsc/install-patch-uk.sh21
-rwxr-xr-xtotsc/install-patch-us.sh21
9 files changed, 199 insertions, 57 deletions
diff --git a/totsc/auto-totsc-installer.sh b/totsc/auto-totsc-installer.sh
deleted file mode 100755
index d485e5a..0000000
--- a/totsc/auto-totsc-installer.sh
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-
-source ../includes/generic-includes.sh
-source ../cd-includes.sh
-source ../patch-includes.sh
-source ../autoinstall-includes.sh
-
-parseargs "$@"
-
-echo "Checking CD version"
-CDMD5=$(md5sum $CDMOUNT/data1.cab|awk '{print $1}')
-
-case "$CDMD5" in
- $BG1_TOTSC_1CD_UK_MD5 )
- FULLGAMENAME="Baldurs Gate Tales of the Sword Coast: 1CD UK version"
- INSTALLSCRIPT=./install-totsc-1cd-uk.sh
- OFFICIALPATCH=./install-totsc-patch-uk.sh
- ;;
- * )
- echo "Unrecognised CD - please select Baldurs Gate version from menu"
- # TODO: Add menu to show and select all known BG1 versions
- exit 1
- ;;
-esac
-
-echo "$FULLGAMENAME detected, installing"
-$INSTALLSCRIPT -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
-if query "Do you want to install the official patch?" y; then
- $OFFICIALPATCH -i "$TARGETDIR" -p "$PATCHDIR" 1>/dev/null || diequietly
-fi
-if query "Do you want to install the baldurdash fixes?" y; then
- ./install-totsc-patch-baldurdash-fix.sh -i "$TARGETDIR" -p "$PATCHDIR" 1>/dev/null || diequietly
- if [ "$LANGUAGE" = "English" ]; then
- ./install-totsc-patch-baldurdash-text.sh -i "$TARGETDIR" -p "$PATCHDIR" 1>/dev/null || diequietly
- fi
-fi
-if query "Do you want to remove unneeded windows files?" n; then
- rm -f "$TARGETDIR"/*.exe
- rm -f "$TARGETDIR"/*.url
- rm -f "$TARGETDIR"/luaauto.cfg
-fi
-echo
-echo "$FULLGAMENAME installed successfully"
diff --git a/totsc/install-1cd-uk.sh b/totsc/install-1cd-uk.sh
index 7330f43..9f2f582 100755
--- a/totsc/install-1cd-uk.sh
+++ b/totsc/install-1cd-uk.sh
@@ -1,5 +1,20 @@
#!/bin/sh
-# Tales of the Sword Coast 1CD version
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Tales of the Sword Coast (1CD UK version)
scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
@@ -18,7 +33,6 @@ unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
cp $CDMOUNT/dialog.tlk "$TARGETDIR" || die
mkdir -p "$TARGETDIR"/save || die
-cp -R $CDMOUNT/[Ss]ave/* "$TARGETDIR"/save || die
cp -R "$TARGETDIR"/minimumdata/* "$TARGETDIR" || die
rm -r "$TARGETDIR"/minimumdata
@@ -32,5 +46,6 @@ mkdir -p "$TARGETDIR"/movies
copylower "$CDMOUNT/cd6/" "$TARGETDIR"
mkdir -p "$TARGETDIR"/mpsave
+cp -R $CDMOUNT/[Ss]ave/* "$TARGETDIR"/mpsave || die
setperms "$TARGETDIR"
diff --git a/totsc/install-3cd-extra.sh b/totsc/install-3cd-extra.sh
new file mode 100755
index 0000000..31cc5d7
--- /dev/null
+++ b/totsc/install-3cd-extra.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Extra Baldur's Gate (3CD version) content (so CDs aren't needed)
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+copylower "$CDMOUNT/cd1/" "$TARGETDIR"
+
+getcd 2 c04758a6af171bf9a35d8e3d4dcd807c CD2/Movies/MovieCD2.bif
+copylower "$CDMOUNT/cd2/" "$TARGETDIR"
+copylower "$CDMOUNT/cd5/" "$TARGETDIR"
+cp $CDMOUNT/CD2/Manual/Baldur.pdf "$TARGETDIR"/manual || die
+
+getcd 3 ba4224f50f890e10561d22f602d6a991 CD3/Movies/MovieCD3.bif
+copylower "$CDMOUNT/cd3/" "$TARGETDIR"
+copylower "$CDMOUNT/cd4/" "$TARGETDIR"
+copylower "$CDMOUNT/cd6/" "$TARGETDIR"
+setperms "$TARGETDIR"
diff --git a/totsc/install-3cd-minimal.sh b/totsc/install-3cd-minimal.sh
new file mode 100755
index 0000000..3493cad
--- /dev/null
+++ b/totsc/install-3cd-minimal.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Baldur's Gate & Tales of the Sword Coast (3CD version) minimal
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 1a6828b97a27967e8c4acc25e1ef48d2 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+cp $CDMOUNT/dialog.tlk "$TARGETDIR" || die
+
+unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+
+cp -R "$TARGETDIR"/minimumdata/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/minimumdata
+
+cp -R "$TARGETDIR"/recommended_music/music/* "$TARGETDIR"/music/ || die
+rm -r "$TARGETDIR"/recommended_music
+
+cp -R "$TARGETDIR"/english_sounds/sounds/* "$TARGETDIR"/sounds/ || die
+rm -r "$TARGETDIR"/english_sounds
+
+cp -R "$TARGETDIR"/english/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/english
+
+mkdir -p "$TARGETDIR"/movies
+mkdir -p "$TARGETDIR"/manual
+
+mkdir -p "$TARGETDIR"/save
+mkdir -p "$TARGETDIR"/mpsave
+cp -R $CDMOUNT/[Ss]ave/* "$TARGETDIR"/mpsave || die
+
+cp $CDMOUNT/Manual/BGManual.pdf "$TARGETDIR"/manual/ || die
+cp $CDMOUNT/Manual/TotscManual.pdf "$TARGETDIR"/manual/ || die
+
+cp $CDMOUNT/baldur.ico "$TARGETDIR" || die
+
+setperms "$TARGETDIR"
diff --git a/totsc/install-patch-baldurdash-fix.sh b/totsc/install-patch-baldurdash-fix.sh
index 939d4f6..be9b3be 100755
--- a/totsc/install-patch-baldurdash-fix.sh
+++ b/totsc/install-patch-baldurdash-fix.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1/TOTSC Baldurdash fix pack
scriptdir="$(dirname $0)"/..
@@ -17,7 +32,7 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1FixPack11.exe
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1FixPack11.exe -d $TMPDIR 2>/dev/null
rm $TMPDIR/BG1FixPack11.exe $TMPDIR/bg1fixpack11readme.txt
-cp $TMPDIR/* "$TARGETDIR/override/" || die
+cp $TMPDIR/* "$TARGETDIR/override/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/totsc/install-patch-baldurdash-text.sh b/totsc/install-patch-baldurdash-text.sh
index 35fba39..36e4304 100755
--- a/totsc/install-patch-baldurdash-text.sh
+++ b/totsc/install-patch-baldurdash-text.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 TOTSC Baldurdash text pack
scriptdir="$(dirname $0)"/..
@@ -9,7 +24,7 @@ parseargs "$@"
if [ "$LANGUAGE" != "English" ]; then
echo "The Baldurdash text pack is only available in English"
- die
+ diesoftly
fi
checkforbin unzip wget
@@ -21,7 +36,7 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1TOSCGameTextUpdate11.exe
# unzip complains unnecessarily about skipping non-zip
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1TOSCGameTextUpdate11.exe -d $TMPDIR 2>/dev/null
-cp $TMPDIR/dialog.tlk "$TARGETDIR/" || die
+cp $TMPDIR/dialog.tlk "$TARGETDIR/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/totsc/install-patch-intl.sh b/totsc/install-patch-intl.sh
index 4581c9d..19c2b15 100755
--- a/totsc/install-patch-intl.sh
+++ b/totsc/install-patch-intl.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 TOTSC official International patch
scriptdir="$(dirname $0)"/..
@@ -13,10 +28,10 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/BGTalesIntl5512.exe
-cabextract -L $TMPDIR/BGTalesIntl5512.exe -d $TMPDIR || die
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+cabextract -L $TMPDIR/BGTalesIntl5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
-cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || die
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/totsc/install-patch-uk.sh b/totsc/install-patch-uk.sh
index b7cc2f2..09ea70c 100755
--- a/totsc/install-patch-uk.sh
+++ b/totsc/install-patch-uk.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 TOTSC official UK patch
scriptdir="$(dirname $0)"/..
@@ -13,10 +28,10 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/BGTalesUK5512.exe
-cabextract -L $TMPDIR/BGTalesUK5512.exe -d $TMPDIR || die
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+cabextract -L $TMPDIR/BGTalesUK5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
-cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || die
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/totsc/install-patch-us.sh b/totsc/install-patch-us.sh
index 1c400d6..5939ac4 100755
--- a/totsc/install-patch-us.sh
+++ b/totsc/install-patch-us.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 TOTSC official US/Canada patch
scriptdir="$(dirname $0)"/..
@@ -13,10 +28,10 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/BGTalesUS5512.exe
-cabextract -L $TMPDIR/BGTalesUS5512.exe -d $TMPDIR || die
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+cabextract -L $TMPDIR/BGTalesUS5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
-cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || die
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"